# plan_gen

Python generator for MATSim random plans.

## setup

use `venv` (https://github.com/juliendehos/venv)

## prerequisites

MATSim network files (`.xml`)
*(test files are available in `input/` folder)*

## install

    venv i plan_gen
    venv a plan_gen
    pip install pkgconfig setuptools
    pip install . --upgrade

## usage

### run

    plan_gen_cli.py [ params ] > out_plans.xml

### params list
- `np` : number of persons to generate
- `nw` : global network file path
- `hc` *(optional)* : home clusters network file paths. If multiple cluster files, separate paths with `:` symbol (`path1:path2:...:pathx`).
- `wc` *(optional)* : work clusters network file paths. If multiple cluster files, same as  `hc` parameter.

### examples

generate 1000 persons with totally random home and work locations:

    plan_gen_cli.py np=1000,nw=input/network.xml

generate 5000 persons with home locations reparted in 2 clusters *(work locations are totally random)*:

    plan_gen_cli.py np=5000,nw=input/network.xml,hc=input/c01.xml:input/c02.xml

generate 1000 persons with home and work locations reparted in different clusters:

    plan_gen_cli.py np=1000,nw=input/network.xml,\
    hc=input/c02.xml:input/c03.xml,\
    wc=input/c01.xml:input/c04.xml
